Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment.scanner
Class URLDirectoryScanner

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.deployment.scanner.AbstractDeploymentScanner
                  org.jboss.deployment.scanner.URLDirectoryScanner

All Implemented Interfaces:
  DeploymentScanner, DeploymentScannerMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, Service, ServiceMBean, URLDirectoryScannerMBean

public class URLDirectoryScanner
extends AbstractDeploymentScanner
implements DeploymentScanner, URLDirectoryScannerMBean

This class is similar to the URLDeploymentScanner (

Version:
Author:
  Larry Sanderson
See Also:
  `org.jboss.deployment.scanner.URLDeploymentScanner). It is designed to deploy direct URLs and to scan directories. The distinction between the two is that this class forces the user to specify which entries are directories to scan, and which are urls to deploy.`

Nested Class Summary

Nested classes inherited from class org.jboss.deployment.scanner.AbstractDeploymentScanner
`AbstractDeploymentScanner.ScannerThread`

Field Summary

Fields inherited from class org.jboss.deployment.scanner.AbstractDeploymentScanner
`deployer, mainDeployer, scanEnabled, scannerThread, scanPeriod`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`URLDirectoryScanner()`

Method Summary
`void` | `addScanDir(String urlSpec, String compClassName, String filterClassName)`
`void` | `addScanDir(URL url, Comparator comp, FileFilter filter)`
`void` | `addScanURL(String url)`
`void` | `addScanURL(URL url)`
`String` | `getFilter()`
`String` | `getURLComparator()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)` Obtain the Service values.
`void` | `removeScanURL(URL url)`
`void` | `scan()` Scan all urls.
`void` | `setFilter(String filterClassName)`
`void` | `setURLComparator(String comparatorClassName)`
`void` | `setURLs(Element elem)`

Methods inherited from class org.jboss.deployment.scanner.AbstractDeploymentScanner
`createService, destroyService, getDeployer, getScanPeriod, isScanEnabled, setDeployer, setScanEnabled, setScanPeriod, startService, stopService`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.deployment.scanner.DeploymentScanner
`getDeployer, getScanPeriod, isScanEnabled, setDeployer, setScanEnabled, setScanPeriod`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface org.jboss.deployment.scanner.DeploymentScannerMBean
`getDeployer, isScanEnabled, setDeployer, setScanEnabled, setScanPeriod`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Constructor Detail

### URLDirectoryScanner

    public URLDirectoryScanner()

Method Detail

### addScanURL

    public void addScanURL(URL url)

  Specified by:
    `addScanURL` in interface `URLDirectoryScannerMBean`

### addScanURL

    public void addScanURL(String url)
                    throws MalformedURLException

  Specified by:
    `addScanURL` in interface `URLDirectoryScannerMBean`
  Throws:
    `MalformedURLException`

### addScanDir

    public void addScanDir(URL url,
                           Comparator comp,
                           FileFilter filter)

  Specified by:
    `addScanDir` in interface `URLDirectoryScannerMBean`

### addScanDir

    public void addScanDir(String urlSpec,
                           String compClassName,
                           String filterClassName)
                    throws MalformedURLException

  Specified by:
    `addScanDir` in interface `URLDirectoryScannerMBean`
  Throws:
    `MalformedURLException`

### removeScanURL

    public void removeScanURL(URL url)

  Specified by:
    `removeScanURL` in interface `URLDirectoryScannerMBean`

### setURLs

    public void setURLs(Element elem)

  Specified by:
    `setURLs` in interface `URLDirectoryScannerMBean`

### setURLComparator

    public void setURLComparator(String comparatorClassName)

  Specified by:
    `setURLComparator` in interface `URLDirectoryScannerMBean`

### getURLComparator

    public String getURLComparator()

  Specified by:
    `getURLComparator` in interface `URLDirectoryScannerMBean`

### setFilter

    public void setFilter(String filterClassName)

  Specified by:
    `setFilter` in interface `URLDirectoryScannerMBean`

### getFilter

    public String getFilter()

  Specified by:
    `getFilter` in interface `URLDirectoryScannerMBean`

### scan

    public void scan()

  Scan all urls.

  Specified by:
    `scan` in interface `DeploymentScanner`
  Specified by:
    `scan` in class `AbstractDeploymentScanner`

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)
                                            throws Exception

  Obtain the Service values. This was copied from Jason Dillons URLDeploymentScanner. Thanks Jason!

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`
  Overrides:
    `preRegister` in class `ServiceMBeanSupport`
  Parameters:
    `server` - Reference to the JMX Agent this MBean is registered on
    `name` - Name specified by the creator of the MBean. Note that you can overwrite it when the given ObjectName is null otherwise the change is discarded (maybe a bug in JMX-RI).
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.